Bug 1695584 - [release note] ext4 metadata checksums
Summary: [release note] ext4 metadata checksums
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: doc-Release_Notes-8-en-US
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Ioanna Gkioka
QA Contact: RHEL DPM
Apurva Bhide
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 11:52 UTC by Marek Suchánek
Modified: 2019-06-14 00:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.`ext4` file system now supports `metadata checksum` With this update, `ext4` metadata is protected by `checksums`. This enables the file system to recognize the corrupt metadata, which avoids damage and increases the file system resilience.
Clone Of:
Environment:
Last Closed: 2019-06-14 00:47:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Marek Suchánek 2019-04-03 11:52:03 UTC
RHEL 8 adds support for metadata checksums in ext4. We need to prepare a release note to announce the news.

The feature is described here:
https://ext4.wiki.kernel.org/index.php/Ext4_Metadata_Checksums

Comment 1 Marek Suchánek 2019-04-11 15:04:24 UTC
Apurva, I'm reassigning this release note to you because Ioanna told me that you have free capacity. Let me know if there's a problem with that. Thanks!

Lukas Czerner is the SME here.


Note You need to log in before you can comment on or make changes to this bug.